CREATE TABLE je_fr_das2_le_headers_t (
    LEGAL_ENTITY_ID          NUMBER(18, 0)    NOT NULL,
    LOCATION_ID              NUMBER(18, 0),
    LE_HEADER_ID             NUMBER(18, 0),
    PROGRAM_NAME             VARCHAR2(120),
    PROGRAM_APP_NAME         VARCHAR2(200),
    REQUEST_ID               NUMBER(18, 0),
    SIRET_ENTR               NUMBER(9, 0) ,
    SET_OF_BOOKS_ID          NUMBER(18, 0)    NOT NULL,
    Z01                      VARCHAR2(48) ,
    TYPE_ENREG               VARCHAR2(12)     NOT NULL,
    RAISON_SOCIALE           VARCHAR2(200),
    Z0_94_1                  VARCHAR2(16) ,
    CODE_APE                 VARCHAR2(20) ,
    Z0_94_2                  VARCHAR2(200),
    ADR_COMPL                VARCHAR2(128),
    Z1                       VARCHAR2(4)  ,
    ADR_CONCAT               VARCHAR2(256),
    ADR_INSEE                VARCHAR2(20) ,
    Z3                       VARCHAR2(4)  ,
    ADR_COMMUNE              VARCHAR2(104),
    ADR_CPOSTAL              VARCHAR2(20) ,
    Z4                       VARCHAR2(4)  ,
    ADR_BUR_DIST             VARCHAR2(104),
    Z5                       VARCHAR2(32) ,
    TYPE_FICHIER             VARCHAR2(4)  ,
    SIRET_ETAB               NUMBER(14, 0),
    Z6                       VARCHAR2(20) ,
    ADR_COMPL_ET             VARCHAR2(128),
    Z7                       VARCHAR2(4)  ,
    ADR_CONCAT_ET            VARCHAR2(256),
    ADR_INSEE_ET             VARCHAR2(20) ,
    Z9                       VARCHAR2(4)  ,
    ADR_COMMUNE_ET           VARCHAR2(104),
    ADR_CPOSTAL_ET           VARCHAR2(20) ,
    Z10                      VARCHAR2(4)  ,
    ADR_BUR_DIST_ET          VARCHAR2(104),
    Z11                      VARCHAR2(960),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LEGAL_ENTITY_ID          NUMBER(18, 0)    NOT NULL,
    LOCATION_ID              NUMBER(18, 0),
    LE_HEADER_ID             NUMBER(18, 0),
    PROGRAM_NAME             VARCHAR2(120),
    PROGRAM_APP_NAME         VARCHAR2(200),
    REQUEST_ID               NUMBER(18, 0),
    SIRET_ENTR               NUMBER(9, 0) ,
    SET_OF_BOOKS_ID          NUMBER(18, 0)    NOT NULL,
    Z01                      VARCHAR2(48) ,
    TYPE_ENREG               VARCHAR2(12)     NOT NULL,
    RAISON_SOCIALE           VARCHAR2(200),
    Z0_94_1                  VARCHAR2(16) ,
    CODE_APE                 VARCHAR2(20) ,
    Z0_94_2                  VARCHAR2(200),
    ADR_COMPL                VARCHAR2(128),
    Z1                       VARCHAR2(4)  ,
    ADR_CONCAT               VARCHAR2(256),
    ADR_INSEE                VARCHAR2(20) ,
    Z3                       VARCHAR2(4)  ,
    ADR_COMMUNE              VARCHAR2(104),
    ADR_CPOSTAL              VARCHAR2(20) ,
    Z4                       VARCHAR2(4)  ,
    ADR_BUR_DIST             VARCHAR2(104),
    Z5                       VARCHAR2(32) ,
    TYPE_FICHIER             VARCHAR2(4)  ,
    SIRET_ETAB               NUMBER(14, 0),
    Z6                       VARCHAR2(20) ,
    ADR_COMPL_ET             VARCHAR2(128),
    Z7                       VARCHAR2(4)  ,
    ADR_CONCAT_ET            VARCHAR2(256),
    ADR_INSEE_ET             VARCHAR2(20) ,
    Z9                       VARCHAR2(4)  ,
    ADR_COMMUNE_ET           VARCHAR2(104),
    ADR_CPOSTAL_ET           VARCHAR2(20) ,
    Z10                      VARCHAR2(4)  ,
    ADR_BUR_DIST_ET          VARCHAR2(104),
    Z11                      VARCHAR2(960),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_je_fr_das2_le_headers_t PRIMARY KEY (LE_HEADER_ID, LE_HEADER_ID)
);
